%define upstream_name    Dist-Zilla-PluginBundle-Author-DOHERTY
%define upstream_version 0.39

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Configure Dist::Zilla like DOHERTY
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 4.300.32
BuildRequires: perl(Dist::Zilla::App::Command::cover)
BuildRequires: perl(Dist::Zilla::Plugin::CheckChangesHasContent)
BuildRequires: perl(Dist::Zilla::Plugin::CheckExtraTests)
BuildRequires: perl(Dist::Zilla::Plugin::Clean)
BuildRequires: perl(Dist::Zilla::Plugin::CopyFilesFromBuild)
BuildRequires: perl(Dist::Zilla::Plugin::DualBuilders)
BuildRequires: perl(Dist::Zilla::Plugin::Git::Check) >= 1.122.460
BuildRequires: perl(Dist::Zilla::Plugin::Git::CheckFor::CorrectBranch)
BuildRequires: perl(Dist::Zilla::Plugin::Git::CheckFor::Fixups)
BuildRequires: perl(Dist::Zilla::Plugin::Git::Commit)
BuildRequires: perl(Dist::Zilla::Plugin::Git::NextVersion)
BuildRequires: perl(Dist::Zilla::Plugin::Git::Tag) >= 1.112.380
BuildRequires: perl(Dist::Zilla::Plugin::GitHub) >= 0.220.0
BuildRequires: perl(Dist::Zilla::Plugin::InstallGuide)
BuildRequires: perl(Dist::Zilla::Plugin::InstallRelease) >= 0.6.0
BuildRequires: perl(Dist::Zilla::Plugin::MinimumPerl) >= 1.3.0
BuildRequires: perl(Dist::Zilla::Plugin::OurPkgVersion)
BuildRequires: perl(Dist::Zilla::Plugin::PodWeaver)
BuildRequires: perl(Dist::Zilla::Plugin::ReadmeFromPod)
BuildRequires: perl(Dist::Zilla::Plugin::ReadmeMarkdownFromPod)
BuildRequires: perl(Dist::Zilla::Plugin::SchwartzRatio)
BuildRequires: perl(Dist::Zilla::Plugin::SurgicalPodWeaver) >= 0.1.500
BuildRequires: perl(Dist::Zilla::Plugin::Twitter) >= 0.10.0
BuildRequires: perl(Dist::Zilla::Plugin::UploadToGoogleCode)
BuildRequires: perl(Dist::Zilla::PluginBundle::TestingMania)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Easy)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moose) >= 0.990.0
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(Pod::Weaver::PluginBundle::Author::DOHERTY) >= 0.6.0
BuildRequires: perl(Pod::Weaver::Section::BugsAndLimitations) >= 1.102.670
BuildRequires: perl(Test::More)
BuildRequires: perl(WWW::Shorten::Googl)
BuildRequires: perl(feature)
BuildRequires: perl(namespace::autoclean) >= 0.90.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
'Dist::Zilla::PluginBundle::Author::DOHERTY' provides shorthand for a
Dist::Zilla manpage configuration used by doherty.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.390.0-5.mga6
+ Revision: 1025875
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.390.0-4.mga6
+ Revision: 945169
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.390.0-3.mga5
+ Revision: 747217
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 sander85 <sander85> 0.390.0-1.mga5
+ Revision: 674184
- update to 0.39

* Thu Aug 28 2014 sander85 <sander85> 0.380.0-1.mga5
+ Revision: 669073
- update to 0.38

* Sat Oct 19 2013 umeabot <umeabot> 0.370.0-2.mga4
+ Revision: 531671
- Mageia 4 Mass Rebuild

* Thu Aug 08 2013 sander85 <sander85> 0.370.0-1.mga4
+ Revision: 464556
- update to 0.37

* Mon Aug 05 2013 sander85 <sander85> 0.360.0-1.mga4
+ Revision: 463829
- update to 0.36

* Fri Jun 07 2013 jquelin <jquelin> 0.350.0-1.mga4
+ Revision: 439196
- update to 0.35

* Sun Jan 13 2013 umeabot <umeabot> 0.320.0-2.mga3
+ Revision: 366561
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.320.0-1.mga3
+ Revision: 342125
- update to 0.32

* Wed Sep 26 2012 jquelin <jquelin> 0.310.0-1.mga3
+ Revision: 298334
- update to 0.31

* Tue Mar 06 2012 jquelin <jquelin> 0.260.0-1.mga2
+ Revision: 220112
- update to 0.26

* Thu Feb 23 2012 jquelin <jquelin> 0.250.0-1.mga2
+ Revision: 212796
- update to 0.25

* Mon Jan 09 2012 jquelin <jquelin> 0.240.0-1.mga2
+ Revision: 193903
- update to 0.24

* Mon Sep 26 2011 jquelin <jquelin> 0.23.0-1.mga2
+ Revision: 148047
- update to v0.23
- fix youri checks
- update to 0.021
- fix youri check

* Tue Apr 19 2011 jquelin <jquelin> 0.16.0-1.mga1
+ Revision: 88507
- update to 0.016

* Thu Apr 07 2011 jquelin <jquelin> 0.15.0-1.mga1
+ Revision: 81757
- update to 0.015

* Tue Mar 15 2011 jquelin <jquelin> 0.14.0-1.mga1
+ Revision: 71805
- imported package perl-Dist-Zilla-PluginBundle-Author-DOHERTY


* Tue Mar 15 2011 cpan2dist 0.014-1mga
- initial mageia release, generated with cpan2dist
